﻿using System;
using Wisej.Web;

namespace MGRptWebWisej.GeneralForms
{
    public partial class MessageDialogForm : Form
    {
        string vCaption = "";
        string vMessage = "";


        public static void Start(string Caption, string Message)
        {
            using (var form = new MessageDialogForm())
            {

                form.vCaption = Caption;
                form.vMessage = Message;

                string IP = Application.ServerVariables["REMOTE_HOST"];
                if (IP.Contains("192.168") || IP.Contains("127.0.0."))
                {
                    //form.RequireSMS = false;
                }
                else
                {
                    //form.RequireSMS = true;
                }

                form.Text = form.vCaption;
                form.txtMessage.Text = form.vMessage;

                form.ShowDialog();
            }
        }

        public MessageDialogForm()
        {
            InitializeComponent();
        }

        private void buttonOK_Click(object sender, EventArgs e)
        {
            Close();
        }

    }
}
